%define compatv 72
%{?compatv:%define compatfv 7.2}

%define _phplib %{_libdir}/php%{?compatv}
%define _extdir %{_phplib}/extensions
%define modname chardet
%define modfullname mod_%{modname}

Summary: php %{?compatfv} character set detect extension
Summary(ko): php %{?compatfv} 캐릭터셋 감지 확장
Name: php%{?compatv}-%{modname}
Version: 1.0.2
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
URL: https://github.com/OOPS-ORG-PHP/mod_chardet
Source0: https://github.com/OOPS-ORG-PHP/mod_chardet/archive/%{version}.tar.gz#/%{modfullname}-%{version}.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: php%{?compatv}api libchardet
BuildRequires: php%{?compatv}-devel libchardet-devel

%description
%{modfullname} extension detect character set for given strings. This
extension is based on libchardet that is based on Mozilla Universal
Charset Detector library and, detects the character set used to
encode data.

%prep
%setup -q -n %{modfullname}-%{version}

%build

/usr/bin/phpize%{?compatv}

CFLAGS="${RPM_OPT_FLAGS}"
./configure

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{%{!?compatv:apache},cli,fpm}
for i in %{!?compatv:apache} cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php%{?compatv}.d/$i/%{modname}.ini <<EOF
extension = %{modname}
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%{!?compatv:%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/apache/%{modname}.ini}
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/cli/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm/%{modname}.ini

%changelog
%{?compatv:* Sat Feb 10 2018 JoungKyun.Kim <hostmaster@oops.org> 1:1.0.2-1%{?dist}
- for PHP%{compatfv}
}
* Mon May 16 2016 JoungKyun.Kim <hostmaster@oops.org> 1:1.0.2-1%{?dist}
- update 1.0.2
- support binary safe

* Sat Jan  9 2016 JoungKyun.Kim <hostmaster@oops.org> 1:1.0.1-1%{?dist}
- update 1.0.1 for PHP7

* Tue Nov 10 2015 JoungKyun.Kim <hostmaster@oops.org> 1:0.0.4-1%{?dist}
- rebuilt on AN3

* Sat Dec 15 2012 JoungKyun.Kim <hostmaster@oops.org> 10:0.0.4-1%{?dist}
- update 0.0.4 for PHP 5.4

* Tue Feb 28 2012 JoungKyun.Kim <hostmaster@oops.org> 1:0.0.3-1%{?dist}
- first packaged

